Loading ...
Sorry, an error occurred while loading the content.
 

Re: Perl 5.8.1 and mod_perl 1?

Expand Messages
  • Stas Bekman
    ... mod_perl 1.0 doesn t have problems with perl 5.8.1. mp2 needed special handling since it uses a special light-weight modperl_mgv_t struct instead of Perl s
    Message 1 of 2 , Sep 29, 2003
      Frank Maas wrote:
      > Hi guys,
      >
      > Maybe it's me and I am just missing something here, but what can I
      > expect if I want to use mod_perl 1 together with 5.8.1? All post
      > I saw here were about testing 1.99 (effectively mp2). The thing
      > that got me worried was Stas' remark about the new 1.99_10, which
      > is "the first release to support the hashing randomization in perl
      > 5.8.1". Does this mean that a new mp1 must be created as well?

      mod_perl 1.0 doesn't have problems with perl 5.8.1. mp2 needed special
      handling since it uses a special light-weight modperl_mgv_t struct instead of
      Perl's GV, to make things consume less memory and be more efficient in general.

      There were a few issues with mp1's test suite, now fixed in cvs.

      __________________________________________________________________
      Stas Bekman JAm_pH ------> Just Another mod_perl Hacker
      http://stason.org/ mod_perl Guide ---> http://perl.apache.org
      mailto:stas@... http://use.perl.org http://apacheweek.com
      http://modperlbook.org http://apache.org http://ticketmaster.com
    Your message has been successfully submitted and would be delivered to recipients shortly.